Menu

## MaskPatternTest extends TestCase
in package

MaskPatternTest.php : 22

##### Tags

see
  https://github.com/zxing/zxing/blob/f4f3c2971dc794346d8b6e14752200008cb90716/core/src/test/java/com/google/zxing/qrcode/encoder/MaskUtilTestCase.java

### Table of Contents

maskPatternProvider() : array<string|int, mixed>
testInvalidMaskPatternException() : void
  Tests if an exception is thrown on an incorrect mask pattern
testMask() : void
  Tests if the mask function generates the correct pattern
testPenaltyRule1() : void
testPenaltyRule2() : void
testPenaltyRule3() : void
testPenaltyRule4() : void
assertMask() : bool

### Methods

#### maskPatternProvider()

MaskPatternTest.php : 25
`public maskPatternProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### testInvalidMaskPatternException()

MaskPatternTest.php : 121

Tests if an exception is thrown on an incorrect mask pattern

`public testInvalidMaskPatternException() : void`

##### Return values

void —

#### testMask()

MaskPatternTest.php : 99

Tests if the mask function generates the correct pattern

`public testMask(int $pattern, array<string|int, mixed> $expected) : void`

##### Parameters

$pattern : int
$expected : array<string|int, mixed>

##### Tags

dataProvider

  maskPatternProvider

##### Return values

void —

#### testPenaltyRule1()

MaskPatternTest.php : 128
`public testPenaltyRule1() : void`

##### Return values

void —

#### testPenaltyRule2()

MaskPatternTest.php : 139
`public testPenaltyRule2() : void`

##### Return values

void —

#### testPenaltyRule3()

MaskPatternTest.php : 146
`public testPenaltyRule3() : void`

##### Return values

void —

#### testPenaltyRule4()

MaskPatternTest.php : 157
`public testPenaltyRule4() : void`

##### Return values

void —

#### assertMask()

MaskPatternTest.php : 105
`private assertMask(Closure $mask, array<string|int, mixed> $expected) : bool`

##### Parameters

$mask : Closure
$expected : array<string|int, mixed>

##### Return values

bool —

## Search results